This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours

Bug 905079

Summary: cal command broken
Product: [Fedora] Fedora Reporter: Peter Scott <p.scott>
Component: util-linuxAssignee: Karel Zak <kzak>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 18CC: jonathan, kzak, mluscon
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-29 10:49:55 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Peter Scott 2013-01-28 09:29:29 EST
Description of problem:
cal 2014 | cat  has no format


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. run: cal 2014
2. run cal 2014 | cat
3.
  
Actual results:
output of the two commands differs

Expected results:
The output should be the same

Additional info:
This must be caused by the recent mod to highlight the current day
Comment 1 Peter Scott 2013-01-28 18:10:27 EST
Here is an example of the bad output:

$ cal 2014 | cat
         1  2  3  4                      1                      1 5  6  7  8  9 10 11    2  3  4  5  6  7  8    2  3  4  5  6  7  812 13 14 15 16 17 18    9 10 11 12 13 14 15    9 10 11 12 13 14 1519 20 21 22 23 24 25   16 17 18 19 20 21 22   16 17 18 19 20 21 2226 27 28 29 30 31      23 24 25 26 27 28      23 24 25 26 27 28 29                                              30 31       1  2  3  4  5                1  2  3    1  2  3  4  5  6  7 6  7  8  9 10 11 12    4  5  6  7  8  9 10    8  9 10 11 12 13 1413 14 15 16 17 18 19   11 12 13 14 15 16 17   15 16 17 18 19 20 2120 21 22 23 24 25 26   18 19 20 21 22 23 24   22 23 24 25 26 27 2827 28 29 30            25 26 27 28 29 30 31   29 30       1  2  3  4  5                   1  2       1  2  3  4  5  6 6  7  8  9 10 11 12    3  4  5  6  7  8  9    7  8  9 10 11 12 1313 14 15 16 17 18 19   10 11 12 13 14 15 16   14 15 16 17 18 19 2020 21 22 23 24 25 26   17 18 19 20 21 22 23   21 22 23 24 25 26 2727 28 29 30 31         24 25 26 27 28 29 30   28 29 30                       31          1  2  3  4                      1       1  2  3  4  5  6 5  6  7  8  9 10 11    2  3  4  5  6  7  8    7  8  9 10 11 12 1312 13 14 15 16 17 18    9 10 11 12 13 14 15   14 15 16 17 18 19 2019 20 21 22 23 24 25   16 17 18 19 20 21 22   21 22 23 24 25 26 2726 27 28 29 30 31      23 24 25 26 27 28 29   28 29 30 31                       30                               2014                               

       January               February                 March       
Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa






        April                   May                   June        
Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa






        July                  August                September     
Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa






       October               November               December      
Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa   Su Mo Tu We Th Fr Sa







$
Comment 2 Karel Zak 2013-01-29 10:49:55 EST

*** This bug has been marked as a duplicate of bug 896447 ***